Package org.kapott.hbci.sepa.jaxb.pain_002_001_14

# Class PaymentTransaction160

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_14.PaymentTransaction160

public class PaymentTransaction160 extends Object

Java class for PaymentTransaction160 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentTransaction160">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="StsId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}Max35Text" minOccurs="0"/>
             <element name="OrgnlInstrId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}Max35Text" minOccurs="0"/>
             <element name="OrgnlEndToEndId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}Max35Text" minOccurs="0"/>
             <element name="OrgnlUETR" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}UUIDv4Identifier" minOccurs="0"/>
             <element name="TxSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}ExternalPaymentTransactionStatus1Code" minOccurs="0"/>
             <element name="StsRsnInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}StatusReasonInformation14" maxOccurs="unbounded" minOccurs="0"/>
             <element name="ChrgsInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}Charges16" maxOccurs="unbounded" minOccurs="0"/>
             <element name="TrckrData" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}TrackerData7" minOccurs="0"/>
             <element name="AccptncDtTm" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}ISODateTime" minOccurs="0"/>
             <element name="AcctSvcrRef" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}Max35Text" minOccurs="0"/>
             <element name="ClrSysRef" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}Max35Text" minOccurs="0"/>
             <element name="OrgnlTxRef" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}OriginalTransactionReference42" minOccurs="0"/>
             <element name="SplmtryData" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}SupplementaryData1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected XMLGregorianCalendar`
`accptncDtTm`
`protected String`
`acctSvcrRef`
`protected List<Charges16>`
`chrgsInf`
`protected String`
`clrSysRef`
`protected String`
`orgnlEndToEndId`
`protected String`
`orgnlInstrId`
`protected OriginalTransactionReference42`
`orgnlTxRef`
`protected String`
`orgnlUETR`
`protected List<SupplementaryData1>`
`splmtryData`
`protected String`
`stsId`
`protected List<StatusReasonInformation14>`
`stsRsnInf`
`protected TrackerData7`
`trckrData`
`protected String`
`txSts`

## Constructor Summary

Constructors
Constructor
Description
`PaymentTransaction160()`

## Method Summary

Modifier and Type
Method
Description
`XMLGregorianCalendar`
`getAccptncDtTm()`
Gets the value of the accptncDtTm property.
`String`
`getAcctSvcrRef()`
Gets the value of the acctSvcrRef property.
`List<Charges16>`
`getChrgsInf()`
Gets the value of the chrgsInf property.
`String`
`getClrSysRef()`
Gets the value of the clrSysRef property.
`String`
`getOrgnlEndToEndId()`
Gets the value of the orgnlEndToEndId property.
`String`
`getOrgnlInstrId()`
Gets the value of the orgnlInstrId property.
`OriginalTransactionReference42`
`getOrgnlTxRef()`
Gets the value of the orgnlTxRef property.
`String`
`getOrgnlUETR()`
Gets the value of the orgnlUETR property.
`List<SupplementaryData1>`
`getSplmtryData()`
Gets the value of the splmtryData property.
`String`
`getStsId()`
Gets the value of the stsId property.
`List<StatusReasonInformation14>`
`getStsRsnInf()`
Gets the value of the stsRsnInf property.
`TrackerData7`
`getTrckrData()`
Gets the value of the trckrData property.
`String`
`getTxSts()`
Gets the value of the txSts property.
`void`
`setAccptncDtTm(XMLGregorianCalendar value)`
Sets the value of the accptncDtTm property.
`void`
`setAcctSvcrRef(String value)`
Sets the value of the acctSvcrRef property.
`void`
`setClrSysRef(String value)`
Sets the value of the clrSysRef property.
`void`
`setOrgnlEndToEndId(String value)`
Sets the value of the orgnlEndToEndId property.
`void`
`setOrgnlInstrId(String value)`
Sets the value of the orgnlInstrId property.
`void`
`setOrgnlTxRef(OriginalTransactionReference42 value)`
Sets the value of the orgnlTxRef property.
`void`
`setOrgnlUETR(String value)`
Sets the value of the orgnlUETR property.
`void`
`setStsId(String value)`
Sets the value of the stsId property.
`void`
`setTrckrData(TrackerData7 value)`
Sets the value of the trckrData property.
`void`
`setTxSts(String value)`
Sets the value of the txSts property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### stsId

protected String stsId

### orgnlInstrId

protected String orgnlInstrId

### orgnlEndToEndId

protected String orgnlEndToEndId

### orgnlUETR

protected String orgnlUETR

### txSts

protected String txSts

### stsRsnInf

protected List<StatusReasonInformation14> stsRsnInf

### chrgsInf

protected List<Charges16> chrgsInf

### trckrData

protected TrackerData7 trckrData

### accptncDtTm

protected XMLGregorianCalendar accptncDtTm

### acctSvcrRef

protected String acctSvcrRef

### clrSysRef

protected String clrSysRef

### orgnlTxRef

protected OriginalTransactionReference42 orgnlTxRef

### splmtryData

protected List<SupplementaryData1> splmtryData

## Constructor Details

### PaymentTransaction160

public PaymentTransaction160()

## Method Details

### getStsId

public String getStsId()
Gets the value of the stsId property.

Returns:
  possible object is `String`

### setStsId

public void setStsId(String value)
Sets the value of the stsId property.

Parameters:
  `value` - allowed object is `String`

### getOrgnlInstrId

public String getOrgnlInstrId()
Gets the value of the orgnlInstrId property.

Returns:
  possible object is `String`

### setOrgnlInstrId

public void setOrgnlInstrId(String value)
Sets the value of the orgnlInstrId property.

Parameters:
  `value` - allowed object is `String`

### getOrgnlEndToEndId

public String getOrgnlEndToEndId()
Gets the value of the orgnlEndToEndId property.

Returns:
  possible object is `String`

### setOrgnlEndToEndId

public void setOrgnlEndToEndId(String value)
Sets the value of the orgnlEndToEndId property.

Parameters:
  `value` - allowed object is `String`

### getOrgnlUETR

public String getOrgnlUETR()
Gets the value of the orgnlUETR property.

Returns:
  possible object is `String`

### setOrgnlUETR

public void setOrgnlUETR(String value)
Sets the value of the orgnlUETR property.

Parameters:
  `value` - allowed object is `String`

### getTxSts

public String getTxSts()
Gets the value of the txSts property.

Returns:
  possible object is `String`

### setTxSts

public void setTxSts(String value)
Sets the value of the txSts property.

Parameters:
  `value` - allowed object is `String`

### getStsRsnInf

public List<StatusReasonInformation14> getStsRsnInf()
Gets the value of the stsRsnInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the stsRsnInf property.

For example, to add a new item, do as follows:

        getStsRsnInf().add(newItem);

Objects of the following type(s) are allowed in the list `StatusReasonInformation14`

### getChrgsInf

public List<Charges16> getChrgsInf()
Gets the value of the chrgsInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the chrgsInf property.

For example, to add a new item, do as follows:

        getChrgsInf().add(newItem);

Objects of the following type(s) are allowed in the list `Charges16`

### getTrckrData

public TrackerData7 getTrckrData()
Gets the value of the trckrData property.

Returns:
  possible object is `TrackerData7`

### setTrckrData

public void setTrckrData(TrackerData7 value)
Sets the value of the trckrData property.

Parameters:
  `value` - allowed object is `TrackerData7`

### getAccptncDtTm

public XMLGregorianCalendar getAccptncDtTm()
Gets the value of the accptncDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

### setAccptncDtTm

public void setAccptncDtTm(XMLGregorianCalendar value)
Sets the value of the accptncDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getAcctSvcrRef

public String getAcctSvcrRef()
Gets the value of the acctSvcrRef property.

Returns:
  possible object is `String`

### setAcctSvcrRef

public void setAcctSvcrRef(String value)
Sets the value of the acctSvcrRef property.

Parameters:
  `value` - allowed object is `String`

### getClrSysRef

public String getClrSysRef()
Gets the value of the clrSysRef property.

Returns:
  possible object is `String`

### setClrSysRef

public void setClrSysRef(String value)
Sets the value of the clrSysRef property.

Parameters:
  `value` - allowed object is `String`

### getOrgnlTxRef

public OriginalTransactionReference42 getOrgnlTxRef()
Gets the value of the orgnlTxRef property.

Returns:
  possible object is `OriginalTransactionReference42`

### setOrgnlTxRef

public void setOrgnlTxRef(OriginalTransactionReference42 value)
Sets the value of the orgnlTxRef property.

Parameters:
  `value` - allowed object is `OriginalTransactionReference42`

### getSplmtryData

public List<SupplementaryData1> getSplmtryData()
Gets the value of the splmtryData property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the splmtryData property.

For example, to add a new item, do as follows:

        getSplmtryData().add(newItem);

Objects of the following type(s) are allowed in the list `SupplementaryData1`